/* top.h  -- include file for top-like top.c program (used with monitor-program)
 */

#define min(a,b) ((a)<(b)?(a):(b))
#define NPROCS 10000

struct procsortinfo {
     int index; /* index to previous procinfo-array */
     double deltacputime;
     double cputime;
   };

extern struct procinfo top_proc1[];
extern struct userinfo top_user1[];
extern struct procinfo top_proc2[];
extern struct userinfo top_user2[];
extern struct procsortinfo top_sortinfo[];


extern int top_getprocinfo();
extern double top_calcsortinfo();
extern void top_print();
